<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/app_background"
    tools:context=".screen.login.LoginActivity">



    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/left_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.10" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/right_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.90" />

    <View
        android:layout_width="0dp"
        android:layout_height="350dp"
        android:id="@+id/v_bg"
        android:background="@drawable/bg_white_login"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintEnd_toEndOf="@+id/right_guideline"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>
    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="50dp"
        android:id="@+id/v_header"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintEnd_toEndOf="@+id/right_guideline"
        app:layout_constraintTop_toTopOf="@+id/v_bg"/>
    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:scaleType="fitXY"
        android:adjustViewBounds="true"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintEnd_toEndOf="@+id/right_guideline"
        app:layout_constraintBottom_toTopOf="@+id/v_header"
        android:src="@drawable/ic_logo_big"/>

    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:textSize="18sp"
        android:textStyle="bold"
        android:text="Member Login"
        android:id="@+id/tv_member_label"
        app:layout_constraintTop_toBottomOf="@id/v_header"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@id/v_bg"
        android:textColor="@color/color_black" />
    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="36dp"
        android:layout_marginTop="20dp"
        android:id="@+id/tv_username_label"
        android:text="Username"
        app:layout_constraintTop_toBottomOf="@id/tv_member_label"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg"
        android:textColor="@color/color_black" />
    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_username"
        style="@style/GDTTextInputLayout.ClearText"
        android:layout_width="0dp"
        android:layout_height="35dp"
        android:layout_marginTop="4dp"
        android:layout_marginStart="24dp"
        android:layout_marginEnd="24dp"
        app:hintEnabled="false"
        app:layout_constraintTop_toBottomOf="@id/tv_username_label"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg"
        app:startIconTint="@color/color_login_icon"
        app:boxCornerRadiusTopEnd="@dimen/login_edit_text_corner"
        app:boxCornerRadiusTopStart="@dimen/login_edit_text_corner"
        app:boxCornerRadiusBottomEnd="@dimen/login_edit_text_corner"
        app:boxCornerRadiusBottomStart="@dimen/login_edit_text_corner"
        app:startIconDrawable="@drawable/ic_user1">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_username"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="text"
            android:padding="0dp"
            android:maxLength="50"
            android:textColor="@color/colorPrimary"
            android:textSize="12sp" />
    </com.google.android.material.textfield.TextInputLayout>
    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="36dp"
        android:layout_marginTop="16dp"
        android:id="@+id/tv_password_label"
        android:text="Password"
        app:layout_constraintTop_toBottomOf="@id/til_username"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg"
        android:textColor="@color/color_black" />
    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_password"
        style="@style/GDTTextInputLayout.PasswordToggle"
        android:layout_width="0dp"
        android:layout_height="35dp"
        android:layout_marginTop="4dp"
        android:layout_marginStart="24dp"
        android:layout_marginEnd="24dp"
        app:hintEnabled="false"
        app:layout_constraintTop_toBottomOf="@id/tv_password_label"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg"
        app:startIconTint="@color/color_login_icon"
        app:boxCornerRadiusTopEnd="@dimen/login_edit_text_corner"
        app:boxCornerRadiusTopStart="@dimen/login_edit_text_corner"
        app:boxCornerRadiusBottomEnd="@dimen/login_edit_text_corner"
        app:boxCornerRadiusBottomStart="@dimen/login_edit_text_corner"
        app:startIconDrawable="@drawable/ic_lock">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="textPassword"
            android:padding="0dp"
            android:maxLength="50"
            android:textColor="@color/colorPrimary"
            android:textSize="12sp" />
    </com.google.android.material.textfield.TextInputLayout>
    <com.google.android.material.button.MaterialButton
        android:id="@+id/btn_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="24dp"
        android:paddingStart="36dp"
        android:paddingEnd="36dp"
        app:cornerRadius="12dp"
        android:backgroundTint="@color/colorPrimary"
        android:gravity="center"
        android:padding="12dp"
        android:text="LOGIN"
        android:textColor="@color/color_white"
        android:textSize="16sp"
        app:layout_constraintTop_toBottomOf="@id/til_password"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg" />
    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:id="@+id/tv_error"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@id/btn_login"
        app:layout_constraintStart_toStartOf="@+id/v_bg"
        app:layout_constraintEnd_toEndOf="@+id/v_bg"
        android:textColor="@color/color_red_800" />


</androidx.constraintlayout.widget.ConstraintLayout>